class BaseOqsController < ActionController::Base
  include LoginVerification
  layout "OQS"

  before_action :check_user

  #before_action :check_installation
  protect_from_forgery with: :exception

  rescue_from CanCan::AccessDenied do |exception|
  	flash[:warning] = exception.message
  	redirect_to root_path
  end

  #change locallization
  def set_locale
    I18n.locale = params[:locale] || I18n.default_locale
  end

  # RESTful url for localize
  def default_url_options
    { locale: I18n.locale }
  end

  def check_user
    if current_user.nil?
      redirect_to root_path
    end
  end
end
